Domains
Verify Domain
Verify domain DNS records.
POST
/
v1
/
domains
/
{id}
/
verify
Verify Domain
curl --request POST \
--url https://api.unosend.co/v1/domains/{id}/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.unosend.co/v1/domains/{id}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unosend.co/v1/domains/{id}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
string
required
The ID of the domain to verify.
Request
curl -X POST https://api.unosend.co/domains/dom_123/verify \
-H "Authorization: Bearer un_xxxxxxxxxx"
await fetch('https://api.unosend.co/domains/dom_123/verify', {
method: 'POST',
headers: { 'Authorization': 'Bearer un_xxxxxxxxxx' }
});
import requests
requests.post('https://api.unosend.co/domains/dom_123/verify',
headers={'Authorization': 'Bearer un_xxxxxxxxxx'}
)
Response
200
{
"id": "dom_123",
"domain": "yourdomain.com",
"status": "verified",
"dns_records": [
{
"type": "TXT",
"name": "_unosend",
"value": "unosend-verification=abc123",
"purpose": "verification",
"verified": true
},
{
"type": "TXT",
"name": "@",
"value": "v=spf1 include:_spf.unosend.co ~all",
"purpose": "spf",
"verified": true
}
],
"verified_at": "2024-01-15T11:00:00.000Z"
}
DNS changes can take up to 48 hours to propagate. If verification fails, try again later.
⌘I
Verify Domain
